#!/bin/sh

TOISIG=$(cat /.toisig)
TOILEN="${#TOISIG}"
DEVSIG1=$(dd if="$1" count=$TOILEN bs=1 skip=4086 2>/dev/null)
DEVSIG2=$(dd if="$1" count=$TOILEN bs=1 2>/dev/null)

if [ "$DEVSIG1" = "$TOISIG" -o "$DEVSIG2" = "$TOISIG" ]; then
  echo "<3>Dracut: found ToI signature in $1, trying to resume" > /dev/kmsg
  echo "swap:$1" >/sys/power/tuxonice/resume
  echo 1 >/sys/power/tuxonice/do_resume
elif [ "$2" = "swap" ]; then
  echo "<3>Dracut: found swap signature in $1, using for ToI" > /dev/kmsg
  CURDEV=$(cat /sys/power/tuxonice/resume)
  [ -z "$CURDEV" ] && echo "swap:$1" >/sys/power/tuxonice/resume
fi

